Page MenuHomeLubuntu Development

Added lubuntu-grub-theme
ClosedPublic

Authored by The_LoudSpeaker on Sep 18 2019, 4:04 PM.

Details

Summary

Custom grub theme for lubuntu. Inspired from breeze theme.

Test Plan

Test whether theme gets installed by default.

Diff Detail

Repository
rART Artwork
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

The_LoudSpeaker requested review of this revision.Sep 18 2019, 4:04 PM
The_LoudSpeaker created this revision.
tsimonq2 requested changes to this revision.Sep 23 2019, 8:58 AM

Comments inline, otherwise LGTM.

debian/control
64

Lubuntu, not lubuntu

src/boot/grub/themes/lubuntu-grub-theme/theme.txt
2

Lubuntu

42

I'm not sure which colors these are, but check the Marketing page for more details.

Bonus points if you want to move that page to the Phab wiki.

This revision now requires changes to proceed.Sep 23 2019, 8:58 AM

FYI both D45 and D47 are vying for 19.10.2, so be careful with that.

Edited the control file.

The file src/boot/grub/themes/lubuntu-grub-theme/icons/lubuntu.png has dimensions of 512x512 px.

I don't see, where this file is used. And isn't it a bit oversized, if it is used in the Grub theme?

debian/lubuntu-grub-theme.install
2

In my opinion, /etc/default/grub.d/lubuntu-theme.cfg would be the better and clearer name for the configuration file.

src/boot/grub/themes/lubuntu-grub-theme/theme.txt
7

Please remove code, that is commented out.

Updated script file name and removed some comments.

This revision was not accepted when it landed; it landed in state Needs Review.Oct 8 2019, 11:40 AM
Closed by commit rARTc7b5bed2ff91: Added lubuntu-grub-theme (authored by The_LoudSpeaker, committed by tsimonq2). · Explain Why
This revision was automatically updated to reflect the committed changes.